Bug ID 594346: Config roll forward failure when upgrading from 11.6.1 to 12.0.0 or its hotfix rollups

Last Modified: Dec 20, 2018

Bug Tracker

Affected Product:  See more info
BIG-IP Install/Upgrade, TMOS(all modules)

Known Affected Versions:
12.0.0, 12.0.0 HF1, 12.0.0 HF2, 12.0.0 HF3, 12.0.0 HF4, 12.1.0, 12.1.0 HF1, 12.1.0 HF2, 12.1.1, 12.1.1 HF1, 12.1.1 HF2, 12.1.2, 12.1.2 HF1, 12.1.2 HF2, 12.1.3, 12.1.3.1, 12.1.3.2, 12.1.3.3, 12.1.3.4, 12.1.3.5, 12.1.3.6, 12.1.3.7, 12.1.4

Opened: May 18, 2016
Severity: 3-Major

Symptoms

If the 11.6.0 configuration contains an apm access policy item objects, the config fails to roll-forward to 12.0.0 and its hotfix roll-ups. apm policy access-policy test-policy { default-ending test-policy_end_deny items { test-policy_end_allow { } test-policy_end_deny { } test-policy_ent { } } macros { /Common/empty } start-item test-policy_ent }

Impact

Failure to load configuration. The error below will be present in /var/log/ltm. The error will also be present on stderr May 18 06:02:58 bigip3 crit tmsh[8574]: 01420001:2: Can't create association (access-policy.items) parser not found (apm::access_pol_access_pol_item) : framework/SchemaCmd.cpp, line 642

Conditions

Configuration contains apm policy access-policy objects. This can be encountered when upgrading from 11.6.0 or 11.6.1 to 12.0.0 or beyond.

Workaround

Upgrade to 12.1.0.

Fix Information

None

Behavior Change